//		This file is a part of TI Ching.
//
//    TI Ching - Produces and displays I Ching hexagrams.
//    Copyright (C) 2007  David E. Shere (tree.pomegranate@gmail.com)
//
//    TI Ching is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//  	 TI Ching is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//   	You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

// Header File
// Created 8/5/2007; 2:08:58 AM
//
//	I Ching Hexagram Numbers from Book
//

#define str_eq(s1,s2)  (!strcmp ((s1),(s2)))
#define SETHEX01 hexdef(1,1,1, 1,1,1)
#define SETHEX02 hexdef(0,0,0, 0,0,0)
#define SETHEX03 hexdef(1,0,0, 0,1,0)
#define SETHEX04 hexdef(0,1,0, 0,0,1)
#define SETHEX05 hexdef(1,1,1, 0,1,0)
#define SETHEX06 hexdef(0,1,0, 1,1,1)
#define SETHEX07 hexdef(0,1,0, 0,0,0)
#define SETHEX08 hexdef(0,0,0, 0,1,0)
#define SETHEX09 hexdef(1,1,1, 0,1,1)
#define SETHEX10 hexdef(1,1,0, 1,1,1)
#define SETHEX11 hexdef(1,1,1, 0,0,0)
#define SETHEX12 hexdef(0,0,0, 1,1,1)
#define SETHEX13 hexdef(1,0,1, 1,1,1)
#define SETHEX14 hexdef(1,1,1, 1,0,1)
#define SETHEX15 hexdef(0,0,1, 1,1,1)
#define SETHEX16 hexdef(0,0,0, 1,0,0)
#define SETHEX17 hexdef(1,0,0, 1,1,0)
#define SETHEX18 hexdef(0,1,1, 0,0,1)
#define SETHEX19 hexdef(1,1,0, 0,0,0)
#define SETHEX20 hexdef(0,0,0, 0,1,1)
#define SETHEX21 hexdef(1,0,0, 1,0,1)
#define SETHEX22 hexdef(1,0,1, 0,0,1)
#define SETHEX23 hexdef(0,0,0, 0,0,1)
#define SETHEX24 hexdef(1,0,0, 0,0,0)
#define SETHEX25 hexdef(1,0,0, 1,1,1)
#define SETHEX26 hexdef(1,1,1, 0,0,1)
#define SETHEX27 hexdef(1,0,0, 0,0,1)
#define SETHEX28 hexdef(0,1,1, 1,1,0)
#define SETHEX29 hexdef(0,1,0, 0,1,0)
#define SETHEX30 hexdef(1,0,1, 1,0,1)
#define SETHEX31 hexdef(0,0,1, 1,1,0)
#define SETHEX32 hexdef(0,1,1, 1,0,0)
#define SETHEX33 hexdef(0,0,1, 1,1,1)
#define SETHEX34 hexdef(1,1,1, 1,0,0)
#define SETHEX35 hexdef(0,0,0, 1,0,1)
#define SETHEX36 hexdef(1,0,1, 0,0,0)
#define SETHEX37 hexdef(1,0,1, 0,1,1)
#define SETHEX38 hexdef(1,1,0, 1,0,1)
#define SETHEX39 hexdef(0,0,1, 0,1,0)
#define SETHEX40 hexdef(0,1,0, 1,0,0)
#define SETHEX41 hexdef(1,1,0, 0,0,1)
#define SETHEX42 hexdef(1,0,0, 0,1,1)
#define SETHEX43 hexdef(1,1,1, 1,1,0)
#define SETHEX44 hexdef(0,1,1, 1,1,1)
#define SETHEX45 hexdef(0,0,0, 1,1,0)
#define SETHEX46 hexdef(0,1,1, 0,0,0)
#define SETHEX47 hexdef(0,1,0, 1,1,0)
#define SETHEX48 hexdef(0,1,1, 0,1,0)
#define SETHEX49 hexdef(1,0,1, 1,1,0)
#define SETHEX50 hexdef(0,1,1, 1,0,1)
#define SETHEX51 hexdef(1,0,0, 1,0,0)
#define SETHEX52 hexdef(0,0,1, 0,0,1)
#define SETHEX53 hexdef(0,0,1, 0,1,1)
#define SETHEX54 hexdef(1,1,0, 1,0,0)
#define SETHEX55 hexdef(1,0,1, 1,0,0)
#define SETHEX56 hexdef(0,0,1, 1,0,1)
#define SETHEX57 hexdef(0,1,1, 0,1,1)
#define SETHEX58 hexdef(1,1,0, 1,1,0)
#define SETHEX59 hexdef(0,1,0, 0,1,1)
#define SETHEX60 hexdef(1,1,0, 0,1,0)
#define SETHEX61 hexdef(1,1,0, 0,1,1)
#define SETHEX62 hexdef(0,0,1, 1,0,0)
#define SETHEX63 hexdef(1,0,1, 0,1,0)
#define SETHEX64 hexdef(0,1,0, 1,0,1)

int ii;
int l1def, l2def, l3def, l4def, l5def, l6def;
int l1hx1, l2hx1, l3hx1, l4hx1, l5hx1, l6hx1;
int l1hx2, l2hx2, l3hx2, l4hx2, l5hx2, l6hx2;
int hexnum;
int hexset[6];
extern int hexagram[6];
int hexconverted1[6];
int hexconverted2[6];

void hexdef(int l1def, int l2def, int l3def, int l4def, int l5def, int l6def) {
		hexset[0] = l1def;
		hexset[1] = l2def;
		hexset[2] = l3def;
		hexset[3] = l4def;
		hexset[4] = l5def;
		hexset[5] = l6def;

}

/* convert hexagram[] values into both hexagrams */
void hexconvert(void) {
	// create two arrays from hexagram[] with 0 for yin and 1 for yang
	for (ii=0; ii <=5 ; ii++)	{
		if 				(hexagram[ii] == 6 ) {
			hexconverted1[ii] = 0;
			hexconverted2[ii] = 1;
		}	else if (hexagram[ii] == 7 ) {
			hexconverted1[ii] = 1;
			hexconverted2[ii] = 1;
		}	else if (hexagram[ii] == 8 ) {
			hexconverted1[ii] = 0;
			hexconverted2[ii] = 0;
		}	else if (hexagram[ii] == 9 ) {
			hexconverted1[ii] = 1;
			hexconverted2[ii] = 0;
		}	else {
			printf("Error: unusable value");
		}
	}	

	/// Testing Only
	///printf("%d%d%d%d%d%d \n%d%d%d%d%d%d\n", hexconverted1[0], hexconverted1[1], hexconverted1[2], hexconverted1[3], hexconverted1[4], hexconverted1[5], hexconverted2[0], hexconverted2[1], hexconverted2[2], hexconverted2[3], hexconverted2[4], hexconverted2[5]);
	///

}


/* Find Hexagram 1's I Ching number */
void lookup1(void) {
	
		//Is it Hexagram 1? 
			SETHEX01;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 1; }}}}}}

		//Is it Hexagram 2? 
			SETHEX02;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 2; }}}}}}

		//Is it Hexagram 3? 
			SETHEX03;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 3; }}}}}}

		//Is it Hexagram 4? 
			SETHEX04;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 4; }}}}}}

		//Is it Hexagram 5? 
			SETHEX05;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 5; }}}}}}

		//Is it Hexagram 6? 
			SETHEX06;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 6; }}}}}}

		//Is it Hexagram 7? 
			SETHEX07;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 7; }}}}}}

		//Is it Hexagram 8? 
			SETHEX08;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 8; }}}}}}

		//Is it Hexagram 9? 
			SETHEX09;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 9; }}}}}}

		//Is it Hexagram 10? 
			SETHEX10;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 10; }}}}}}

		//Is it Hexagram 11? 
			SETHEX11;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 11; }}}}}}

		//Is it Hexagram 12? 
			SETHEX12;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 12; }}}}}}

		//Is it Hexagram 13? 
			SETHEX13;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 13; }}}}}}

		//Is it Hexagram 14? 
			SETHEX14;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 14; }}}}}}

		//Is it Hexagram 15? 
			SETHEX15;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 15; }}}}}}

		//Is it Hexagram 16? 
			SETHEX16;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 16; }}}}}}

		//Is it Hexagram 17? 
			SETHEX17;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 17; }}}}}}

		//Is it Hexagram 18? 
			SETHEX18;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 18; }}}}}}

		//Is it Hexagram 19? 
			SETHEX19;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 19; }}}}}}

		//Is it Hexagram 20? 
			SETHEX20;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 20; }}}}}}

		//Is it Hexagram 21? 
			SETHEX21;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 21; }}}}}}

		//Is it Hexagram 22? 
			SETHEX22;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 22; }}}}}}

		//Is it Hexagram 23? 
			SETHEX23;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 23; }}}}}}

		//Is it Hexagram 24? 
			SETHEX24;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 24; }}}}}}

		//Is it Hexagram 25? 
			SETHEX25;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 25; }}}}}}

		//Is it Hexagram 26? 
			SETHEX26;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 26; }}}}}}

		//Is it Hexagram 27? 
			SETHEX27;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 27; }}}}}}

		//Is it Hexagram 28? 
			SETHEX28;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 28; }}}}}}

		//Is it Hexagram 29? 
			SETHEX29;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 29; }}}}}}

		//Is it Hexagram 30? 
			SETHEX30;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 30; }}}}}}

		//Is it Hexagram 31? 
			SETHEX31;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 31; }}}}}}

		//Is it Hexagram 32? 
			SETHEX32;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 32; }}}}}}

		//Is it Hexagram 33? 
			SETHEX33;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 33; }}}}}}

		//Is it Hexagram 34? 
			SETHEX34;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 34; }}}}}}

		//Is it Hexagram 35? 
			SETHEX35;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 35; }}}}}}

		//Is it Hexagram 36? 
			SETHEX36;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 36; }}}}}}

		//Is it Hexagram 37? 
			SETHEX37;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 37; }}}}}}

		//Is it Hexagram 38? 
			SETHEX38;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 38; }}}}}}

		//Is it Hexagram 39? 
			SETHEX39;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 39; }}}}}}

		//Is it Hexagram 40? 
			SETHEX40;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 40; }}}}}}

		//Is it Hexagram 41? 
			SETHEX41;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 41; }}}}}}

		//Is it Hexagram 42? 
			SETHEX42;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 42; }}}}}}

		//Is it Hexagram 43? 
			SETHEX43;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 43; }}}}}}

		//Is it Hexagram 44? 
			SETHEX44;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 44; }}}}}}

		//Is it Hexagram 45? 
			SETHEX45;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 45; }}}}}}

		//Is it Hexagram 46? 
			SETHEX46;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 46; }}}}}}

		//Is it Hexagram 47? 
			SETHEX47;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 47; }}}}}}

		//Is it Hexagram 48? 
			SETHEX48;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 48; }}}}}}

		//Is it Hexagram 49? 
			SETHEX49;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 49; }}}}}}

		//Is it Hexagram 50? 
			SETHEX50;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 50; }}}}}}

		//Is it Hexagram 51? 
			SETHEX51;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 51; }}}}}}

		//Is it Hexagram 52? 
			SETHEX52;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 52; }}}}}}

		//Is it Hexagram 53? 
			SETHEX53;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 53; }}}}}}

		//Is it Hexagram 54? 
			SETHEX54;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 54; }}}}}}

		//Is it Hexagram 55? 
			SETHEX55;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 55; }}}}}}

		//Is it Hexagram 56? 
			SETHEX56;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 56; }}}}}}

		//Is it Hexagram 57? 
			SETHEX57;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 57; }}}}}}

		//Is it Hexagram 58? 
			SETHEX58;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 58; }}}}}}

		//Is it Hexagram 59? 
			SETHEX59;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 59; }}}}}}

		//Is it Hexagram 60? 
			SETHEX60;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 60; }}}}}}

		//Is it Hexagram 61? 
			SETHEX61;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 61; }}}}}}

		//Is it Hexagram 62? 
			SETHEX62;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 62; }}}}}}

		//Is it Hexagram 63? 
			SETHEX63;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 63; }}}}}}

		//Is it Hexagram 64? 
			SETHEX64;
			if (hexconverted1[0] == hexset[0]) {
			if (hexconverted1[1] == hexset[1]) {
			if (hexconverted1[2] == hexset[2]) {
			if (hexconverted1[3] == hexset[3]) {
			if (hexconverted1[4] == hexset[4]) {
			if (hexconverted1[5] == hexset[5]) {
				hexnum = 64; }}}}}}

}

/* Find Hexagram 2's I Ching number */
void lookup2(void) {
	
		//Is it Hexagram 1? 
			SETHEX01;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 1; }}}}}}

		//Is it Hexagram 2? 
			SETHEX02;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 2; }}}}}}

		//Is it Hexagram 3? 
			SETHEX03;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 3; }}}}}}

		//Is it Hexagram 4? 
			SETHEX04;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 4; }}}}}}

		//Is it Hexagram 5? 
			SETHEX05;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 5; }}}}}}

		//Is it Hexagram 6? 
			SETHEX06;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 6; }}}}}}

		//Is it Hexagram 7? 
			SETHEX07;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 7; }}}}}}

		//Is it Hexagram 8? 
			SETHEX08;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 8; }}}}}}

		//Is it Hexagram 9? 
			SETHEX09;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 9; }}}}}}

		//Is it Hexagram 10? 
			SETHEX10;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 10; }}}}}}

		//Is it Hexagram 11? 
			SETHEX11;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 11; }}}}}}

		//Is it Hexagram 12? 
			SETHEX12;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 12; }}}}}}

		//Is it Hexagram 13? 
			SETHEX13;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 13; }}}}}}

		//Is it Hexagram 14? 
			SETHEX14;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 14; }}}}}}

		//Is it Hexagram 15? 
			SETHEX15;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 15; }}}}}}

		//Is it Hexagram 16? 
			SETHEX16;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 16; }}}}}}

		//Is it Hexagram 17? 
			SETHEX17;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 17; }}}}}}

		//Is it Hexagram 18? 
			SETHEX18;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 18; }}}}}}

		//Is it Hexagram 19? 
			SETHEX19;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 19; }}}}}}

		//Is it Hexagram 20? 
			SETHEX20;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 20; }}}}}}

		//Is it Hexagram 21? 
			SETHEX21;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 21; }}}}}}

		//Is it Hexagram 22? 
			SETHEX22;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 22; }}}}}}

		//Is it Hexagram 23? 
			SETHEX23;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 23; }}}}}}

		//Is it Hexagram 24? 
			SETHEX24;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 24; }}}}}}

		//Is it Hexagram 25? 
			SETHEX25;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 25; }}}}}}

		//Is it Hexagram 26? 
			SETHEX26;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 26; }}}}}}

		//Is it Hexagram 27? 
			SETHEX27;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 27; }}}}}}

		//Is it Hexagram 28? 
			SETHEX28;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 28; }}}}}}

		//Is it Hexagram 29? 
			SETHEX29;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 29; }}}}}}

		//Is it Hexagram 30? 
			SETHEX30;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 30; }}}}}}

		//Is it Hexagram 31? 
			SETHEX31;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 31; }}}}}}

		//Is it Hexagram 32? 
			SETHEX32;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 32; }}}}}}

		//Is it Hexagram 33? 
			SETHEX33;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 33; }}}}}}

		//Is it Hexagram 34? 
			SETHEX34;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 34; }}}}}}

		//Is it Hexagram 35? 
			SETHEX35;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 35; }}}}}}

		//Is it Hexagram 36? 
			SETHEX36;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 36; }}}}}}

		//Is it Hexagram 37? 
			SETHEX37;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 37; }}}}}}

		//Is it Hexagram 38? 
			SETHEX38;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 38; }}}}}}

		//Is it Hexagram 39? 
			SETHEX39;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 39; }}}}}}

		//Is it Hexagram 40? 
			SETHEX40;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 40; }}}}}}

		//Is it Hexagram 41? 
			SETHEX41;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 41; }}}}}}

		//Is it Hexagram 42? 
			SETHEX42;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 42; }}}}}}

		//Is it Hexagram 43? 
			SETHEX43;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 43; }}}}}}

		//Is it Hexagram 44? 
			SETHEX44;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 44; }}}}}}

		//Is it Hexagram 45? 
			SETHEX45;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 45; }}}}}}

		//Is it Hexagram 46? 
			SETHEX46;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 46; }}}}}}

		//Is it Hexagram 47? 
			SETHEX47;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 47; }}}}}}

		//Is it Hexagram 48? 
			SETHEX48;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 48; }}}}}}

		//Is it Hexagram 49? 
			SETHEX49;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 49; }}}}}}

		//Is it Hexagram 50? 
			SETHEX50;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 50; }}}}}}

		//Is it Hexagram 51? 
			SETHEX51;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 51; }}}}}}

		//Is it Hexagram 52? 
			SETHEX52;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 52; }}}}}}

		//Is it Hexagram 53? 
			SETHEX53;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 53; }}}}}}

		//Is it Hexagram 54? 
			SETHEX54;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 54; }}}}}}

		//Is it Hexagram 55? 
			SETHEX55;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 55; }}}}}}

		//Is it Hexagram 56? 
			SETHEX56;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 56; }}}}}}

		//Is it Hexagram 57? 
			SETHEX57;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 57; }}}}}}

		//Is it Hexagram 58? 
			SETHEX58;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 58; }}}}}}

		//Is it Hexagram 59? 
			SETHEX59;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 59; }}}}}}

		//Is it Hexagram 60? 
			SETHEX60;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 60; }}}}}}

		//Is it Hexagram 61? 
			SETHEX61;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 61; }}}}}}

		//Is it Hexagram 62? 
			SETHEX62;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 62; }}}}}}

		//Is it Hexagram 63? 
			SETHEX63;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 63; }}}}}}

		//Is it Hexagram 64? 
			SETHEX64;
			if (hexconverted2[0] == hexset[0]) {
			if (hexconverted2[1] == hexset[1]) {
			if (hexconverted2[2] == hexset[2]) {
			if (hexconverted2[3] == hexset[3]) {
			if (hexconverted2[4] == hexset[4]) {
			if (hexconverted2[5] == hexset[5]) {
				hexnum = 64; }}}}}}

}