//		This file is a part of TI Ching.
//
//    TI Ching - Produces and displays I Ching hexagrams.
//    Copyright (C) 2007  David E. Shere (tree.pomegranate@gmail.com)
//
//    TI Ching is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//   TI Ching is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include <tigcclib.h>
#include "ShowImg.h"
#include "lookup.h"
#define LINEGEN	(random(2)+random(2)+random(2)+6)

extern unsigned char oldyin[];
extern unsigned char yang[];
extern unsigned char yin[];
extern unsigned char oldyang[];
extern unsigned char arrow[];

int hexagram[6];
int ii;

void _main(void) {

	// clear the screen
	
	clrscr();

	// seed rand
	randomize();
	// generate hexagram
	for (ii=0; ii <= 5; ii++) {
		hexagram[ii] = LINEGEN;
	}
	
	// FOR TESTING ONLY!!!!!
	//hexagram[0] = 8;
	//hexagram[1] = 8;
	//hexagram[2] = 8;
	//hexagram[3] = 7;
	//hexagram[4] = 8;
	//hexagram[5] = 8;
	//
	
	ShowImg( 0, 1, 160, 8, arrow);
	DrawStr( 25, 91, "Press ESC to exit.", 1);
	
	// add space to top
	printf("\n\n\n");
	
	// check each line's number and draw accordingly	
	for (ii=0; ii <= 5; ii++) {
		int bottomtop = 6-ii;
		if (hexagram[ii] == 6) {
			ShowImg(  0, (bottomtop*13), 160, 8, oldyin);
		}
		else if (hexagram[ii] == 7) {
			ShowImg(  0, (bottomtop*13), 160, 8, yang);
		}
		else if (hexagram[ii] == 8) {
			ShowImg(  0, (bottomtop*13), 160, 8, yin);
		}
		else if (hexagram[ii] == 9) {
			ShowImg(  0, (bottomtop*13), 160, 8, oldyang);
		}
	}
	
	// Check for errors...
	// ngetchx();
	// clrscr();
	// printf("line 1: %d\nline 2: %d\nline 3: %d\nline 4: %d\nline 5: %d\nline 6: %d\n",
	//	hexagram[0], hexagram[1], hexagram[2], hexagram[3], hexagram[4], hexagram[5]);
	
	// Get and Display Hexgram Numbers
	hexconvert();
	
	char buffer[10];
	
	lookup1();
	sprintf (buffer, "Hexagram %d", hexnum);
	DrawStr (0, 0, buffer, 1);
	
	lookup2();
	sprintf (buffer, "Hexagram %d", hexnum);
	DrawStr (93, 0, buffer, 1);

	// wait for ESC press before the program exits
	while ((ii = ngetchx()) != KEY_ESC) {
	}
}